Skip to content
Get started

List customers

GET/customers

Returns a paginated list of customers for the authenticated company.

Query ParametersExpand Collapse
archived: optional boolean

Include archived customers (default false)

limit: optional number

Number of results per page (max 1000)

minimum1
maximum1000
page: optional number

Page number (1-based)

minimum1

Search by first name, last name, company name, email, or phone

status: optional "active" or "inactive"

Filter by customer status

One of the following:
"active"
"inactive"
tags: optional string

Filter by tags (comma-separated)

Header ParametersExpand Collapse
"rotor-api-version": "1.1.0"
ReturnsExpand Collapse
data: optional array of object { id, address, company_name, 11 more }
id: optional string
address: optional object { city, country, state, 3 more }
city: string
country: string
state: string
street1: string
zip: string
street2: optional string
company_name: optional string
created_at: optional string
email: optional string
first_name: optional string
is_auto_pay: optional boolean
last_name: optional string
location: optional array of number
notes: optional string
phone: optional string
source: optional string
status: optional "active" or "inactive"
One of the following:
"active"
"inactive"
tags: optional array of string

Whether more pages are available

Total number of matching records

status: optional string

List customers

curl https://api.getrotor.com/open-api/customers \
    -H "x-api-key: $ROTOR_API_KEY"
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "address": {
        "city": "city",
        "country": "country",
        "state": "state",
        "street1": "street1",
        "zip": "zip",
        "street2": "street2"
      },
      "company_name": "company_name",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "first_name": "first_name",
      "is_auto_pay": true,
      "last_name": "last_name",
      "location": [
        0
      ],
      "notes": "notes",
      "phone": "phone",
      "source": "source",
      "status": "active",
      "tags": [
        "string"
      ]
    }
  ],
  "pagination": {
    "has_more": true,
    "limit": 50,
    "page": 1,
    "total": 142
  },
  "status": "success"
}
{
  "status": "error",
  "message": "Authentication required. Provide x-api-key header.",
  "error_code": "AUTHENTICATION_REQUIRED"
}
{
  "status": "error",
  "message": "Forbidden: required scope 'leads:read' not granted for this API key",
  "error_code": "INSUFFICIENT_SCOPE"
}
{
  "status": "error",
  "message": "Daily API key request limit of 1000 exceeded",
  "error_code": "RATE_LIMIT_EXCEEDED"
}
{
  "status": "error",
  "message": "Internal server error"
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "address": {
        "city": "city",
        "country": "country",
        "state": "state",
        "street1": "street1",
        "zip": "zip",
        "street2": "street2"
      },
      "company_name": "company_name",
      "created_at": "2019-12-27T18:11:19.117Z",
      "email": "dev@stainless.com",
      "first_name": "first_name",
      "is_auto_pay": true,
      "last_name": "last_name",
      "location": [
        0
      ],
      "notes": "notes",
      "phone": "phone",
      "source": "source",
      "status": "active",
      "tags": [
        "string"
      ]
    }
  ],
  "pagination": {
    "has_more": true,
    "limit": 50,
    "page": 1,
    "total": 142
  },
  "status": "success"
}
{
  "status": "error",
  "message": "Authentication required. Provide x-api-key header.",
  "error_code": "AUTHENTICATION_REQUIRED"
}
{
  "status": "error",
  "message": "Forbidden: required scope 'leads:read' not granted for this API key",
  "error_code": "INSUFFICIENT_SCOPE"
}
{
  "status": "error",
  "message": "Daily API key request limit of 1000 exceeded",
  "error_code": "RATE_LIMIT_EXCEEDED"
}
{
  "status": "error",
  "message": "Internal server error"
}